program LossyWavTest;
{$APPTYPE CONSOLE}

{ The CLI parameter are:
      <input wav file> <options>
}

uses
  SysUtils,
  wavIO in 'wavIO.pas',
  cliParameter in 'cliParameter.pas',
  MakeLossy in 'MakeLossy.pas';

var
 success: boolean;
 sampleBlock: allChannelsSampleBlock;
 blocksize, readsamplesCount: integer;
begin
 success := getParms();
 if success = False then
    begin
    writeln(parmsError);
    exit;
    end;
 if forcedBlocksize = 0 then
    blocksize := 1024
 else
    blocksize := forcedBlocksize;
 success := openWavIO(wavIn, wavOut, blocksize, 0);
 while success do
    begin
    success := readNextSampleBlock(sampleBlock, readsamplesCount);
    if success then
       begin
 //      makeLossySampleBlock(sampleBlock, readsamplesCount);
       success := writeNextSampleBlock(sampleBlock, readsamplesCount);
       end;
    end;
 success := closeWavIO;
end.

